<xsl:transform xsl:version="1.0" 
	       xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="common.xsl"/>
<xsl:variable name="edition">Complete Home Edition</xsl:variable>
<xsl:variable name="web-images">.</xsl:variable>
<xsl:variable name="base-location">$web-search</xsl:variable>
<xsl:variable name="base-locale">.</xsl:variable>

<xsl:template match="catalogue">
  <xsl:comment>This file is automatically generated. Do not edit!</xsl:comment>
  <html>
  <xsl:call-template name="header"/>
    <BODY BGCOLOR="white">
      <xsl:call-template name="title"/>
      <xsl:call-template name="welcome"/>
      <xsl:call-template name="icons"/>
      <xsl:call-template name="copyright"/>
      <HR/>
      <xsl:apply-templates select="entry">
        <xsl:sort select="about/name"/>
      </xsl:apply-templates>
      <HR/>
    </BODY>
  </html>
</xsl:template>

<!-- PROCESS AN ENTRY -->

<xsl:template match="entry">

  <TABLE CELLPADDING="3" WIDTH="100%">

  <!-- HEADING -->

    <TR>
      <TH ALIGN="left" VALIGN="top" ROWSPAN="4" WIDTH="20%">
        <BIG>
          <A NAME="{@id}">
            <xsl:apply-templates select="about/name"/>
          </A>
        </BIG>
      </TH>

  <!-- CAPTION -->

      <TD ALIGN="left" VALIGN="bottom" COLSPAN="2" WIDTH="80%">
        <STRONG>
          <EM>
            <xsl:value-of select="about/caption"/>
          </EM>
        </STRONG>
      </TD>
    </TR>

  <!-- ABSTRACT -->

  <TR>
    <TD COLSPAN="2" WIDTH="80%">
      <xsl:if test="description/abstract">
        <xsl:apply-templates select="description/abstract"/>
      </xsl:if>
      <xsl:if test="about/xref">
        <SMALL><EM>
        <xsl:text> See also</xsl:text>
          <xsl:apply-templates select="about/xref"/>
        </EM></SMALL>
      </xsl:if>
    </TD>
  </TR>

  <!-- BUTTONS -->

  <TR>
  <xsl:call-template name="buttons"/>

  <TD ALIGN="right" valign="bottom" WIDTH="50%">
    <SMALL>
      <EM>
        <xsl:text>License: </xsl:text>
        <STRONG>
          <xsl:apply-templates select="about/license"/>
        </STRONG>
         <xsl:apply-templates select="about/version/number"/>
         <xsl:choose>
         <xsl:when test="about/version/released">
           <xsl:apply-templates select="about/version/released"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text> &#160;&#160;&#160; Catalogued: </xsl:text>
            <STRONG><xsl:value-of select="@datestamp"/></STRONG>
         </xsl:otherwise>
         </xsl:choose>
      </EM>
    </SMALL>
  </TD>
  
  </TR>

  <TR><TD COLSPAN="2" WIDTH="80%" VALIGN="top" HEIGHT="1"><HR/></TD></TR>

</TABLE>

</xsl:template>

<xsl:template match="about/license">
  <xsl:choose>
    <xsl:when test="@type">
      <A HREF="licenses.{@type}.html">
        <xsl:value-of select="@type"/>
      </A>
    </xsl:when>
    <xsl:otherwise>
      <A HREF="licenses.html#unknown">unknown</A>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="about/xref">
  <xsl:text> </xsl:text>
  <A HREF="#{@refid}"> <xsl:value-of select="@refid"/></A>
</xsl:template>


</xsl:transform>


